Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/monitor/monitor.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/monitor/monitor.component.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/monitor/monitor.component.ts	(revision 59675)
@@ -10,7 +10,14 @@
 import {HelperService} from "../openaireLibrary/utils/helper/helper.service";
 import {SEOService} from "../openaireLibrary/sharedComponents/SEO/SEO.service";
 import {StakeholderService} from "../openaireLibrary/monitor/services/stakeholder.service";
-import {Category, IndicatorPath, Stakeholder, SubCategory, Topic} from "../openaireLibrary/monitor/entities/stakeholder";
+import {
+  Category,
+  IndicatorPath,
+  Stakeholder,
+  SubCategory,
+  Topic,
+  Visibility
+} from "../openaireLibrary/monitor/entities/stakeholder";
 import {StatisticsService} from "../utils/services/statistics.service";
 import {IndicatorUtils, StakeholderUtils} from "../utils/indicator-utils";
 import {LayoutService} from "../openaireLibrary/dashboard/sharedComponents/sidebar/layout.service";
@@ -123,7 +130,7 @@
                       ,filterOperator: "or", valueIsExact: true, filterType: "checkbox", radioValue:""});
                   }
                   this.initializeFilters();
-                  if(stakeholder.isActive && (stakeholder.isPublic || this.isPublicOrIsMember(stakeholder.isPublic))) {
+                  if(this.isPublicOrIsMember(stakeholder.visibility)) {
                     this.seoService.createLinkForCanonicalURL(url, false);
                     this._meta.updateTag({content: url}, "property='og:url'");
                     var description = "Monitor Dashboard | " + this.stakeholder.name;
@@ -253,20 +260,20 @@
   private setView(params: Params) {
     this.loading = false;
     if (params['topic']) {
-      this.activeTopic = this.stakeholder.topics.find(topic => topic.alias === decodeURIComponent(params['topic']) && this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+      this.activeTopic = this.stakeholder.topics.find(topic => topic.alias === decodeURIComponent(params['topic']) && this.isPublicOrIsMember(topic.visibility));
       if (this.activeTopic) {
         if (params['category']) {
           this.activeCategory = this.activeTopic.categories.find(category =>
-            (category.alias === params['category']) && this.isPublicOrIsMember(category.isPublic) && category.isActive);
+            (category.alias === params['category']) && this.isPublicOrIsMember(category.visibility));
           if (!this.activeCategory) {
             this.navigateToError();
             return;
           }
         } else {
-          this.activeCategory = this.activeTopic.categories.find(category => this.isPublicOrIsMember(category.isPublic) && category.isActive);
+          this.activeCategory = this.activeTopic.categories.find(category => this.isPublicOrIsMember(category.visibility));
           if (this.activeCategory) {
             this.activeSubCategory = this.activeCategory.subCategories.find(subCategory =>
-              this.isPublicOrIsMember(subCategory.isPublic) && subCategory.isActive);
+              this.isPublicOrIsMember(subCategory.visibility));
             if (this.activeSubCategory) {
               this.setIndicators();
             }
@@ -276,7 +283,7 @@
         if (this.activeCategory) {
           if (params['subCategory']) {
             this.activeSubCategory = this.activeCategory.subCategories.find(subCategory =>
-              (subCategory.alias === params['subCategory'] && this.isPublicOrIsMember(subCategory.isPublic) && subCategory.isActive));
+              (subCategory.alias === params['subCategory'] && this.isPublicOrIsMember(subCategory.visibility)));
             if (!this.activeSubCategory) {
               this.navigateToError();
               return;
@@ -283,7 +290,7 @@
             }
           } else {
             this.activeSubCategory = this.activeCategory.subCategories.find(subCategory =>
-              this.isPublicOrIsMember(subCategory.isPublic) && subCategory.isActive);
+              this.isPublicOrIsMember(subCategory.visibility));
           }
           if (this.activeSubCategory) {
             this.setIndicators();
@@ -299,11 +306,11 @@
         return;
       }
     } else {
-      this.activeTopic = this.stakeholder.topics.find(topic => this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+      this.activeTopic = this.stakeholder.topics.find(topic => this.isPublicOrIsMember(topic.visibility));
       if (this.activeTopic) {
-        this.activeCategory = this.activeTopic.categories.find(category => this.isPublicOrIsMember(category.isPublic) && category.isActive);
+        this.activeCategory = this.activeTopic.categories.find(category => this.isPublicOrIsMember(category.visibility));
         if (this.activeCategory) {
-          this.activeSubCategory = this.activeCategory.subCategories.find(subCategory => this.isPublicOrIsMember(subCategory.isPublic) && subCategory.isActive);
+          this.activeSubCategory = this.activeCategory.subCategories.find(subCategory => this.isPublicOrIsMember(subCategory.visibility));
           if (this.activeSubCategory) {
             this.setIndicators();
           }
@@ -362,7 +369,7 @@
     let urls: Map<string, [number, number][]> = new Map<string, [number, number][]>();
     this.activeSubCategory.numbers.forEach((section, i) => {
       section.indicators.forEach((number, j) => {
-        if (number.isActive && this.isPublicOrIsMember(number.isPublic)) {
+        if (this.isPublicOrIsMember(number.visibility)) {
           let url =this.indicatorUtils.getFullUrlWithFilters(this.stakeholder, number.indicatorPaths[0], this.getfl0(), this.periodFilter.selectedFromValue, this.periodFilter.selectedToValue, this.getCoFunded());
           const pair = JSON.stringify([number.indicatorPaths[0].source, url]);
           const indexes = urls.get(pair) ? urls.get(pair) : [];
@@ -433,8 +440,11 @@
     return this.user && (Session.isPortalAdministrator(this.user) || Session.isCommunityCurator(this.user) || Session.isMonitorCurator(this.user));
   }
 
-  public isPublicOrIsMember(isPublic: boolean): boolean {
-    if (isPublic) {
+  public isPublicOrIsMember(visibility: Visibility): boolean {
+    if(visibility == "PRIVATE"){
+      return false;
+    }
+    if (visibility == "PUBLIC") {
       return true;
     } else {
       if (this.isViewPublic) { // preview for not members
@@ -449,8 +459,8 @@
   public countSubCategoriesToShow(category:Category): number {
     let counter = 0;
     for (let sub of category.subCategories) {
-      if(sub.isActive) {
-        if (sub.isPublic) {
+      if(sub.visibility != "PRIVATE") {
+        if (sub.visibility == "PUBLIC") {
           // return true;
           counter++;
         }else if (this.isAdmin()) {
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/indicator-utils.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/indicator-utils.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/indicator-utils.ts	(revision 59675)
@@ -5,7 +5,7 @@
   SourceType,
   Stakeholder,
   SubCategory,
-  Topic
+  Topic, Visibility
 } from "../openaireLibrary/monitor/entities/stakeholder";
 import {AbstractControl, ValidatorFn, Validators} from "@angular/forms";
 import {Option} from "../openaireLibrary/dashboard/sharedComponents/input/input.component";
@@ -24,9 +24,10 @@
     {value: 'organization', label: 'Organization'}
   ];
 
-  isPublic: Option[] = [
-    {icon: 'public', value: true, label: 'Public'},
-    {icon: 'lock', value: false, label: 'Private'},
+  visibility: Option[] = [
+    {icon: 'world', value: "PUBLIC", label: 'Public'},
+    {icon: 'lock', value: "RESTRICTED", label: 'Restricted'},
+    {icon: 'users', value: "PRIVATE", label: 'Private'},
   ];
 
   isActive: Option[] = [
@@ -34,9 +35,10 @@
     {icon: 'brightness_1', value: false, label: 'Inactive'},
   ];
 
-  isPublicIcon: Map<boolean, string> = new Map([
-    [true, 'public'],
-    [false, 'lock']
+  isPublicIcon: Map<Visibility, string> = new Map<Visibility, string> ([
+    ["PUBLIC", 'world'],
+    ["PRIVATE", 'lock'],
+    ["RESTRICTED", 'users']
   ]);
 
   isActiveIcon: string = 'brightness_1';
@@ -505,7 +507,7 @@
   }
   generateIndicatorByForm(form: any, indicatorPaths: IndicatorPath[], type:IndicatorType, addParameters:boolean = true ): Indicator {
     let indicator: Indicator = new Indicator(form.name, form.description, type,
-      form.width, form.isActive, form.isPublic, indicatorPaths, form.defaultId);
+      form.width, form.visibility, indicatorPaths, form.defaultId);
     indicator._id = form._id;
     form.indicatorPaths.forEach((indicatorPath, index) => {
       indicator.indicatorPaths[index].type = indicatorPath.type;
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/services/statistics.service.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/services/statistics.service.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/services/statistics.service.ts	(revision 59675)
@@ -18,8 +18,8 @@
       this.numberSources.set('statistics', [properties.statisticsAPIURL]);
       this.numberSources.set('search', [properties.searchAPIURLLAst]);
       this.numberSources.set('metrics', [properties.metricsAPIURL]);
-      this.numberSources.set('stats-tool', [properties.statisticsFrameNewAPIURL, "http://marilyn.athenarc.gr:8080/stats-api/", "http://88.197.53.71:8080/stats-api/", "https://stats.madgik.di.uoa.gr/stats-api/"]);
-      this.chartSources.set('stats-tool', [properties.statisticsFrameNewAPIURL, "http://marilyn.athenarc.gr:8080/stats-api/", "http://88.197.53.71:8080/stats-api/", "https://stats.madgik.di.uoa.gr/stats-api/"]);
+      this.numberSources.set('stats-tool', [properties.statisticsFrameNewAPIURL, "http://marilyn.athenarc.gr:8080/stats-api/", "http://88.197.53.71:8080/stats-api/", "https://stats.madgik.di.uoa.gr/stats-api/","https://beta.services.openaire.eu/stats-tool/","https://services.openaire.eu/stats-tool/"]);
+      this.chartSources.set('stats-tool', [properties.statisticsFrameNewAPIURL, "http://marilyn.athenarc.gr:8080/stats-api/", "http://88.197.53.71:8080/stats-api/", "https://stats.madgik.di.uoa.gr/stats-api/","https://beta.services.openaire.eu/stats-tool/","https://services.openaire.eu/stats-tool/"]);
       this.chartSources.set('old', [properties.statisticsFrameAPIURL]);
       this.chartSources.set('metrics', [properties.metricsAPIURL]);
       this.chartSources.set('image', [""]);
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/manageStakeholders/manageStakeholders.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/manageStakeholders/manageStakeholders.component.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/manageStakeholders/manageStakeholders.component.ts	(revision 59675)
@@ -2,7 +2,7 @@
 import {StakeholderService} from "../openaireLibrary/monitor/services/stakeholder.service";
 import {EnvProperties} from "../openaireLibrary/utils/properties/env-properties";
 import {EnvironmentSpecificService} from "../openaireLibrary/utils/properties/environment-specific.service";
-import {Stakeholder} from "../openaireLibrary/monitor/entities/stakeholder";
+import {Stakeholder, Visibility} from "../openaireLibrary/monitor/entities/stakeholder";
 import {Subscriber, zip} from "rxjs";
 import {StakeholderUtils} from "../utils/indicator-utils";
 import {FormBuilder, FormGroup} from "@angular/forms";
@@ -48,7 +48,6 @@
   /**
    * Grid or List View
    */
-  public grid: boolean = true;
   private subscriptions: any[] = [];
   @ViewChild('editStakeholderModal') editStakeholderModal: AlertModal;
   @ViewChild('deleteStakeholderModal') deleteStakeholderModal: AlertModal;
@@ -100,21 +99,15 @@
   hide(element: any) {
     UIkit.dropdown(element).hide();
   }
+
   
-  public changeGrid(value) {
-    this.grid = value;
-  }
-  
   private buildFilters() {
     this.filters = this.fb.group({
-      privacy: this.fb.control('all'),
       status: this.fb.control('all'),
       keyword: this.fb.control('')
     });
-    this.subscriptions.push(this.filters.get('privacy').valueChanges.subscribe(value => {
-      this.onPrivacyChange(value);
-    }));
     this.subscriptions.push(this.filters.get('status').valueChanges.subscribe(value => {
+      console.debug(value);
       this.onStatusChange(value);
     }));
     this.subscriptions.push(this.filters.get('keyword').valueChanges.subscribe(value => {
@@ -121,12 +114,7 @@
       this.onKeywordChange(value);
     }));
   }
-  
-  onPrivacyChange(value) {
-    this.displayDefaultStakeholders = this.filterPrivacy(this.defaultStakeholders, value);
-    this.displayStakeholders = this.filterPrivacy(this.stakeholders, value);
-  }
-  
+
   onStatusChange(value) {
     this.displayDefaultStakeholders = this.filterStatus(this.defaultStakeholders, value);
     this.displayStakeholders = this.filterStatus(this.stakeholders, value);
@@ -136,21 +124,12 @@
     this.displayDefaultStakeholders = this.filterByKeyword(this.defaultStakeholders, value);
     this.displayStakeholders = this.filterByKeyword(this.stakeholders, value);
   }
-  
-  
-  private filterPrivacy(stakeholders: Stakeholder[], value): Stakeholder[] {
-    if (value === 'all') {
-      return stakeholders;
-    } else {
-      return stakeholders.filter(stakeholder => stakeholder.isPublic === value);
-    }
-  }
-  
+
   private filterStatus(stakeholders: Stakeholder[], value): Stakeholder[] {
     if (value === 'all') {
       return stakeholders;
     } else {
-      return stakeholders.filter(stakeholder => stakeholder.isActive === value);
+      return stakeholders.filter(stakeholder => stakeholder.visibility == value);
     }
   }
   
@@ -227,7 +206,14 @@
       }
     });
   }
-  
+  changeStakeholderStatus(stakeholder: Stakeholder, visibility:Visibility) {
+    let path = [
+      stakeholder._id
+    ];
+    this.stakeholderService.toggleStatus(this.properties.monitorServiceAPIURL, path).subscribe(isActive => {
+      stakeholder.isActive = isActive;
+    });
+  }
   toggleStakeholderStatus(stakeholder: Stakeholder) {
     let path = [
       stakeholder._id
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/manageStakeholders/manageStakeholders.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/manageStakeholders/manageStakeholders.module.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/manageStakeholders/manageStakeholders.module.ts	(revision 59675)
@@ -10,6 +10,9 @@
 import {ReactiveFormsModule} from "@angular/forms";
 import {AdminDashboardGuard} from "../utils/adminDashboard.guard";
 import {EditStakeholderModule} from "../general/edit-stakeholder/edit-stakeholder.module";
+import {IconsModule} from "../openaireLibrary/utils/icons/icons.module";
+import {IconsService} from "../openaireLibrary/utils/icons/icons.service";
+import {bullet} from "../openaireLibrary/utils/icons/icons";
 
 @NgModule({
   declarations: [ManageStakeholdersComponent],
@@ -21,7 +24,8 @@
     LoadingModule,
     AlertModalModule,
     ReactiveFormsModule,
-    EditStakeholderModule
+    EditStakeholderModule,
+    IconsModule
   ],
   providers: [
     AdminDashboardGuard, PreviousRouteRecorder,
@@ -29,5 +33,7 @@
   exports: [ManageStakeholdersComponent]
 })
 export class ManageStakeholdersModule {
-
+  constructor(private iconsService: IconsService) {
+    this.iconsService.registerIcons([ bullet]);
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/stakeholder/stakeholder.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/stakeholder/stakeholder.component.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/stakeholder/stakeholder.component.ts	(revision 59675)
@@ -6,7 +6,7 @@
 
 import {ErrorCodes} from '../openaireLibrary/utils/properties/errorCodes';
 import {ErrorMessagesComponent} from '../openaireLibrary/utils/errorMessages.component';
-import {Stakeholder, Topic} from "../openaireLibrary/monitor/entities/stakeholder";
+import {Stakeholder, Topic, Visibility} from "../openaireLibrary/monitor/entities/stakeholder";
 import {StakeholderService} from "../openaireLibrary/monitor/services/stakeholder.service";
 import {HelperFunctions} from "../openaireLibrary/utils/HelperFunctions.class";
 import {AlertModal} from "../openaireLibrary/utils/modal/alert";
@@ -15,6 +15,7 @@
 import {LayoutService} from "../openaireLibrary/dashboard/sharedComponents/sidebar/layout.service";
 import {IndicatorUtils, StakeholderUtils} from "../utils/indicator-utils";
 import {IDeactivateComponent} from "../openaireLibrary/utils/can-exit.guard";
+import {visit} from "@angular/compiler-cli/src/ngtsc/util/src/visitor";
 
 declare var UIkit;
 
@@ -96,8 +97,7 @@
           this.stakeholderUtils.aliasValidator(topics)
         ]
       ),
-      isActive: this.fb.control(topic.isActive),
-      isPublic: this.fb.control(topic.isPublic),
+      visibility: this.fb.control(topic.visibility),
       defaultId: this.fb.control(topic.defaultId),
       categories: this.fb.control(topic.categories),
       icon: this.fb.control(topic.icon)
@@ -116,7 +116,7 @@
   public editTopicOpen(index = -1) {
     this.index = index;
     if (index === -1) {
-      this.buildTopic(new Topic(null, null, null, true, true));
+      this.buildTopic(new Topic(null, null, null, "PUBLIC"));
     } else {
       this.buildTopic(this.stakeholder.topics[index]);
     }
@@ -202,14 +202,14 @@
     });
   }
   
-  toggleTopicStatus(topic: Topic) {
+  toggleTopicStatus(topic: Topic, visibility:Visibility) {
     let path = [
       this.stakeholder._id,
       topic._id
     ];
-    this.stakeholderService.toggleStatus(this.properties.monitorServiceAPIURL, path).subscribe(isActive => {
-      topic.isActive = isActive;
-      UIkit.notification('Topic has been successfully changed to ' + (isActive ? 'active' : 'inactive'), {
+    this.stakeholderService.toggleVisibility(this.properties.monitorServiceAPIURL, path, visibility).subscribe(visibility => {
+      topic.visibility = visibility;
+      UIkit.notification('Topic has been successfully changed to ' + visibility.toLowerCase(), {
         status: 'success',
         timeout: 3000,
         pos: 'top-left'
@@ -223,14 +223,14 @@
     });
   }
   
-  toggleTopicAccess(topic: Topic) {
+  /*toggleTopicAccess(topic: Topic) {
     let path = [
       this.stakeholder._id,
       topic._id
     ];
-    this.stakeholderService.toggleAccess(this.properties.monitorServiceAPIURL, path).subscribe(isPublic => {
-      topic.isPublic = isPublic;
-      UIkit.notification('Topic has been successfully changed to ' + (isPublic?'public':'private'), {
+    this.stakeholderService.toggleAccess(this.properties.monitorServiceAPIURL, path).subscribe(visibility => {
+      topic.visibility = visibility;
+      UIkit.notification('Topic has been successfully changed to ' + (visibility?'public':'private'), {
         status: 'success',
         timeout: 3000,
         pos: 'top-left'
@@ -242,8 +242,10 @@
         pos: 'top-left'
       });
     });
-  }
+  }*/
   satinizeHTML(html){
     return this.sanitizer.bypassSecurityTrustHtml(html);
   }
 }
+
+
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/app.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/app.component.ts	(revision 59674)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/app.component.ts	(revision 59675)
@@ -8,9 +8,10 @@
 import {BehaviorSubject, Subscriber} from "rxjs";
 import {LayoutService} from "./openaireLibrary/dashboard/sharedComponents/sidebar/layout.service";
 import {MenuItem, RootMenuItem} from "./openaireLibrary/sharedComponents/menu";
-import {Stakeholder, Topic} from "./openaireLibrary/monitor/entities/stakeholder";
+import {Stakeholder, Topic, Visibility} from "./openaireLibrary/monitor/entities/stakeholder";
 import {LinksResolver} from "./search/links-resolver";
 import {Header} from "./openaireLibrary/sharedComponents/navigationBar.component";
+import {arrow_left} from "./openaireLibrary/utils/icons/icons";
 
 
 @Component({
@@ -107,9 +108,9 @@
                   if (isSearch) {
                     this.activeTopic = null;
                   } else if (params && params['topic'] && !this.activeTopic) {
-                    this.activeTopic = this.stakeholder.topics.find(topic => topic.alias === decodeURIComponent(params['topic']) && this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+                    this.activeTopic = this.stakeholder.topics.find(topic => topic.alias === decodeURIComponent(params['topic']) && this.isPublicOrIsMember(topic.visibility));
                   } else {
-                    this.activeTopic = this.stakeholder.topics.find(topic => this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+                    this.activeTopic = this.stakeholder.topics.find(topic => this.isPublicOrIsMember(topic.visibility));
                   }
                   this.setSideBar();
                 } else {
@@ -129,9 +130,9 @@
               if(isSearch) {
                 this.activeTopic = null;
               } else if (params && params['topic']) {
-                this.activeTopic = this.stakeholder.topics.find(topic => topic.alias === decodeURIComponent(params['topic']) && this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+                this.activeTopic = this.stakeholder.topics.find(topic => topic.alias === decodeURIComponent(params['topic']) && this.isPublicOrIsMember(topic.visibility));
               } else {
-                this.activeTopic = this.stakeholder.topics.find(topic => this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+                this.activeTopic = this.stakeholder.topics.find(topic => this.isPublicOrIsMember(topic.visibility));
               }
 
             }
@@ -145,7 +146,9 @@
         }));
         this.subscriptions.push(this.userManagementService.getUserInfo().subscribe(user => {
           this.user = user;
-          this.buildMenu();
+          if(user){
+            this.buildMenu();
+          }
         }, error => {
           console.log("App couldn't fetch properties");
           console.log(error);
@@ -177,7 +180,7 @@
   private setSideBar() {
     let items: MenuItem[] = [];
     this.stakeholder.topics.forEach((topic) => {
-      if (this.isPublicOrIsMember(topic.isPublic) && topic.isActive) {
+      if (this.isPublicOrIsMember(topic.visibility)) {
         let topicItem: MenuItem = new MenuItem(topic.alias, topic.name, "", (
           '/' + this.stakeholder.alias + '/' + topic.alias),
           null, [], [], {});
@@ -234,7 +237,7 @@
         this.adminMenuItems.push(new MenuItem("indicators", "Indicators", "", "/admin/"+this.stakeholder.alias + '/indicators', false, [], [], {}, "<i uk-icon=\"image\"></i>"));
         this.adminMenuItems.push(new MenuItem("users", "Users", "", "/admin/"+this.stakeholder.alias+"/users", false, [], [], {}, "<i uk-icon=\"users\"></i>"));
         this.specialSideBarMenuItem  = new MenuItem("back", "Manage profiles", "", "/admin",false, [], null, {});
-        this.specialSideBarMenuItem.icon = '<span class="uk-icon-button uk-icon portal-button  " uk-icon="chevron-left"></span>';
+        this.specialSideBarMenuItem.icon = '<span class="uk-icon-button uk-icon portal-button  " >' + arrow_left.data + '</span>'; // '<span class="uk-icon-button uk-icon portal-button  " uk-icon="chevron-left"></span>';
 
       }
       this.userMenuItems = [];
@@ -246,7 +249,6 @@
       if (this.isAdmin()) {
         this.userMenuItems.push(new MenuItem("", "Manage profiles",
           "", "/admin", true, [], [], {}))
-        this.specialSideBarMenuItem = null;
       }
       if (this.user) {
         this.userMenuItems.push(new MenuItem("", "User information", "", "/user-info", false, [], [], {}));
@@ -282,14 +284,17 @@
   public isAdmin() {
     return this.user && (Session.isPortalAdministrator(this.user) || Session.isCommunityCurator(this.user) || Session.isMonitorCurator(this.user));
   }
-  
-  public isPublicOrIsMember(isPublic: boolean): boolean {
-    if (isPublic) {
+
+  public isPublicOrIsMember(visibility: Visibility): boolean {
+    if(visibility == "PRIVATE"){
+      return false;
+    }
+    if (visibility == "PUBLIC") {
       return true;
     } else {
       if (this.isViewPublic) { // preview for not members
         return false;
-      } else if (this.isAdmin()) {
+      } else if(this.isAdmin()) {
         // if user is member, return true
         return true;
       }
